org.apache.cassandra.db

## Class Slice.Serializer

- java.lang.Object
- - org.apache.cassandra.db.Slice.Serializer

Enclosing class:
  Slice

    public static class Slice.Serializer
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Serializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Slice` `deserialize(DataInputPlus in, int version, java.util.List<AbstractType<?>> types)`
`void` `serialize(Slice slice, DataOutputPlus out, int version, java.util.List<AbstractType<?>> types)`
`long` `serializedSize(Slice slice, int version, java.util.List<AbstractType<?>> types)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Serializer

    public Serializer()

### Method Detail

#### serialize

    public void serialize(Slice slice,
                          DataOutputPlus out,
                          int version,
                          java.util.List<AbstractType<?>> types)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### serializedSize

    public long serializedSize(Slice slice,
                               int version,
                               java.util.List<AbstractType<?>> types)

#### deserialize

    public Slice deserialize(DataInputPlus in,
                             int version,
                             java.util.List<AbstractType<?>> types)
                      throws java.io.IOException

Throws:
  `java.io.IOException`